# Uses of Class
org.apache.sling.feature.extension.apiregions.api.JDKDeprecationExtension

Packages that use JDKDeprecationExtension
Package
Description
org.apache.sling.feature.extension.apiregions.api

## Uses of JDKDeprecationExtension in org.apache.sling.feature.extension.apiregions.api

Methods in org.apache.sling.feature.extension.apiregions.api that return JDKDeprecationExtension
Modifier and Type
Method
Description
`static JDKDeprecationExtension`
JDKDeprecationExtension.`getExtension(org.apache.sling.feature.Extension ext)`
Get the execution environment from the extension.
`static JDKDeprecationExtension`
JDKDeprecationExtension.`getExtension(org.apache.sling.feature.Feature feature)`
Get the extension from the feature - if it exists.